[Printing-architecture] OpenPrinting News

Till Kamppeter till.kamppeter at gmail.com
Sun Apr 7 15:21:21 UTC 2019


Another UPDATE: I have released cups-filters 1.22.5 now, due to an 
incompatibility of foomatic-rip with the new Ghostscript 9.27.

    Till

----------

1.22.5: Bug fix release, to make foomatic-rip working with Ghostscript 
9.27 and later.

1.22.4: Bug fix release, to fix various bugs in cups-browsed and in the 
filters.

CHANGES IN V1.22.5

	- foomatic-rip: Changed Ghostscript call to count pages in a
	  PDF file to use "runpdfbegin" and not the undocumented
	  Ghostscript internal "pdfdict", so that it works with
	  Ghostscript 9.27 and later (Debian bug #926576, Arch Linux
	  bug #62251).

CHANGES IN V1.22.4

	- cups-browsed: Fix broken trailing space removal on
	  "NickName" (Pull request #103).
	- pdftops: Emit PostScript Level 2 instead of Level 3 for
	  Brother PostScript printers as at least some of them
	  report to support level 3 but ontly work with Level 2
	  (Ubuntu bug #1306849, comment #42).
	- bannertopdf: When multiplying the page for N-up or Duplex
	  printing one page too much was generated (Issue #102).



On 05/04/2019 21:20, Till Kamppeter wrote:
> UPDATE: I have released cups-filters 1.22.4 now.
> 
>     Till
> 
> On 05/04/2019 17:10, Till Kamppeter wrote:
>> cups-filters
>> ------------
>>
>> Note that due to the fact that we have given GitHub issues of 
>> cups-filters to students as assignments for the GSoC 2019 student 
>> selection process I have checked through the issues and (together with 
>> issues which I have closed and which I have fixed by myself) reduced 
>> the number of issues from 26 to 18.
>>
>> I will release 1.22.4 still for Ubuntu 19.04.
>>
>> Currently released is 1.22.3.
>>
> 
> [...]



More information about the Printing-architecture mailing list